+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "Field"
keywords = ["grafana","documentation","sdk","@grafana/data"]
type = "docs"
+++

## Field interface

<b>Signature</b>

```typescript
export interface Field<T = any, V = Vector<T>> 
```
<b>Import</b>

```typescript
import { Field } from '@grafana/data';
```
<b>Properties</b>

|  Property | Type | Description |
|  --- | --- | --- |
|  [config](#config-property) | <code>FieldConfig</code> | Meta info about how field and how to display it |
|  [display](#display-property) | <code>DisplayProcessor</code> | Convert a value for display |
|  [getLinks](#getlinks-property) | <code>(config: ValueLinkConfig) =&gt; Array&lt;LinkModel&lt;Field&gt;&gt;</code> | Get value data links with variables interpolated |
|  [labels](#labels-property) | <code>Labels</code> |  |
|  [name](#name-property) | <code>string</code> | Name of the field (column) |
|  [parse](#parse-property) | <code>(value: any) =&gt; T</code> | Convert text to the field value |
|  [state](#state-property) | <code>FieldState &#124; null</code> | Cached values with appropriate display and id values |
|  [type](#type-property) | <code>FieldType</code> | Field value type (string, number, etc) |
|  [values](#values-property) | <code>V</code> |  |

### config property

Meta info about how field and how to display it

<b>Signature</b>

```typescript
config: FieldConfig;
```

### display property

Convert a value for display

<b>Signature</b>

```typescript
display?: DisplayProcessor;
```

### getLinks property

Get value data links with variables interpolated

<b>Signature</b>

```typescript
getLinks?: (config: ValueLinkConfig) => Array<LinkModel<Field>>;
```

### labels property

<b>Signature</b>

```typescript
labels?: Labels;
```

### name property

Name of the field (column)

<b>Signature</b>

```typescript
name: string;
```

### parse property

Convert text to the field value

<b>Signature</b>

```typescript
parse?: (value: any) => T;
```

### state property

Cached values with appropriate display and id values

<b>Signature</b>

```typescript
state?: FieldState | null;
```

### type property

Field value type (string, number, etc)

<b>Signature</b>

```typescript
type: FieldType;
```

### values property

<b>Signature</b>

```typescript
values: V;
```
