+++
# -----------------------------------------------------------------------
# Do not edit this file. It is automatically generated by API Documenter.
# -----------------------------------------------------------------------
title = "PanelOptionsEditorBuilder"
keywords = ["grafana","documentation","sdk","@grafana/data"]
type = "docs"
+++

## PanelOptionsEditorBuilder class

Fluent API for declarative creation of panel options

<b>Signature</b>

```typescript
export declare class PanelOptionsEditorBuilder<TOptions> extends OptionsUIRegistryBuilder<TOptions, StandardEditorProps, PanelOptionsEditorItem<TOptions>> 
```
<b>Import</b>

```typescript
import { PanelOptionsEditorBuilder } from '@grafana/data';
```
<b>Methods</b>

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addBooleanSwitch(config)](#addbooleanswitch-method) |  |  |
|  [addColorPicker(config)](#addcolorpicker-method) |  |  |
|  [addNumberInput(config)](#addnumberinput-method) |  |  |
|  [addRadio(config)](#addradio-method) |  |  |
|  [addSelect(config)](#addselect-method) |  |  |
|  [addStringArray(config)](#addstringarray-method) |  |  |
|  [addTextInput(config)](#addtextinput-method) |  |  |
|  [addTimeZonePicker(config)](#addtimezonepicker-method) |  |  |
|  [addUnitPicker(config)](#addunitpicker-method) |  |  |

### addBooleanSwitch method

<b>Signature</b>

```typescript
addBooleanSwitch<TSettings = any>(config: PanelOptionsEditorConfig<TOptions, TSettings, boolean>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings, boolean&gt;</code> |  |

<b>Returns:</b>

`this`

### addColorPicker method

<b>Signature</b>

```typescript
addColorPicker<TSettings = any>(config: PanelOptionsEditorConfig<TOptions, TSettings & ColorFieldConfigSettings, string>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings &amp; ColorFieldConfigSettings, string&gt;</code> |  |

<b>Returns:</b>

`this`

### addNumberInput method

<b>Signature</b>

```typescript
addNumberInput<TSettings>(config: PanelOptionsEditorConfig<TOptions, TSettings & NumberFieldConfigSettings, number>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings &amp; NumberFieldConfigSettings, number&gt;</code> |  |

<b>Returns:</b>

`this`

### addRadio method

<b>Signature</b>

```typescript
addRadio<TOption, TSettings extends SelectFieldConfigSettings<TOption>>(config: PanelOptionsEditorConfig<TOptions, TSettings, TOption>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings, TOption&gt;</code> |  |

<b>Returns:</b>

`this`

### addSelect method

<b>Signature</b>

```typescript
addSelect<TOption, TSettings extends SelectFieldConfigSettings<TOption>>(config: PanelOptionsEditorConfig<TOptions, TSettings, TOption>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings, TOption&gt;</code> |  |

<b>Returns:</b>

`this`

### addStringArray method

<b>Signature</b>

```typescript
addStringArray<TSettings>(config: PanelOptionsEditorConfig<TOptions, TSettings & StringFieldConfigSettings, string[]>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings &amp; StringFieldConfigSettings, string[]&gt;</code> |  |

<b>Returns:</b>

`this`

### addTextInput method

<b>Signature</b>

```typescript
addTextInput<TSettings>(config: PanelOptionsEditorConfig<TOptions, TSettings & StringFieldConfigSettings, string>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings &amp; StringFieldConfigSettings, string&gt;</code> |  |

<b>Returns:</b>

`this`

### addTimeZonePicker method

<b>Signature</b>

```typescript
addTimeZonePicker<TSettings = any>(config: PanelOptionsEditorConfig<TOptions, TSettings, string>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings, string&gt;</code> |  |

<b>Returns:</b>

`this`

### addUnitPicker method

<b>Signature</b>

```typescript
addUnitPicker<TSettings = any>(config: PanelOptionsEditorConfig<TOptions, TSettings & UnitFieldConfigSettings, string>): this;
```
<b>Parameters</b>

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | <code>PanelOptionsEditorConfig&lt;TOptions, TSettings &amp; UnitFieldConfigSettings, string&gt;</code> |  |

<b>Returns:</b>

`this`

